.communityGrandFatherWrappper.blog-item {
	text-align: center;
}

.communityGrandFatherWrappper .blog-item .item-content p a {
	color: white;
}

.communityGrandFatherWrappper .blog-item .image-wrapper {
	display: inline-block;
	padding: 0 10px;
	height: 50px;
}

.communityGrandFatherWrappper .blog-item .image-frame {
	vertical-align: middle;
	text-align: center;
	display: table-cell;
}

.communityGrandFatherWrappper .blog-image {
	max-width: 100%;
	width: auto;
	height: 100%;
	max-width: 100%;
	max-height: 100%;
	display: block;
	margin: 0 auto;
}

.communityGrandFatherWrappper .blog-category {
	color: #31708f;
	background-color: #d9edf7;
	border-color: #bce8f1;
	padding: 1px;
	border: 1px solid transparent;
	border-radius: 4px;
	text-decoration: none;
	line-height: 2;
	margin: 2px;
}

.communityGrandFatherWrappper .news-index.list-view figure {
	text-align: center !important;
}

.communityGrandFatherWrappper .news-index.list-view figure img {
	width: auto !important;
	height: auto !important;
	max-width: 100%;
	max-height: 100%;
}

.communityGrandFatherWrappper .box-introduction {
	border-right: 1px solid #eee;
	border-left: 1px solid #eee;
	border-top: 1px solid #eee;
	border-bottom: 1px solid #eee;
	border-top-right-radius: 6px;
	border-bottom-right-radius: 6px;
	/* height: 100%; */
	font-size: 1.8rem;
	font-size: 15px;
	display: flex;
	flex-direction: column;
	justify-content: start;
	padding-top: 3rem;
	background: #D9EEE1 !important;
	color: #4e3c3c;
}

.communityGrandFatherWrappper .box-description {
	/* border-left: 1px solid #eee;
	border-top: 1px solid #eee;
	border-bottom: 1px solid #eee; */
	position: relative !important;
	/* border-top-left-radius: 6px;
	border-bottom-left-radius: 6px; */
	/* width: auto; */
	height: auto;
	padding-bottom: 10px;
}

.communityGrandFatherWrappper .first-message {
	margin: auto;
	width: 100%;
}

.communityGrandFatherWrappper .hall-messages {
	margin: auto;
	width: auto;
}

.communityGrandFatherWrappper .message-index {
	margin: auto;
	height: 100%;
	display: flex;
	width: auto;
	border: 1px solid #eee;
	border-radius: 6px;
}

.communityGrandFatherWrappper .box-description .content {
	height: 80%;
	position: relative;
}

.communityGrandFatherWrappper .box-tools {
	border-top: 1px solid #eee;
	padding: 7px 19px;
	font-size: 17px;
	margin-top: 10px;
	margin-bottom: 0;
	height: auto;
	box-sizing: border-box;
}


.communityGrandFatherWrappper .box-form {
	border: 1px solid #eee !important;
	border-radius: 8px !important;
}

.communityGrandFatherWrappper .p-10 {
	padding: 10px;
}

.communityGrandFatherWrappper .red {
	color: red;
}

.communityGrandFatherWrappper .green {
	color: green;
}

.communityGrandFatherWrappper .black {
	color: #000;
}

.communityGrandFatherWrappper .reply-user:hover {
	color: #3eb18c;
}

.communityGrandFatherWrappper .item-content .title a {
	font-size: 12px;
	;
}

.communityGrandFatherWrappper ul {
	padding: 0;
}

.communityGrandFatherWrappper ul li {
	list-style: none;
}

.communityGrandFatherWrappper .community-index {
	background-color: #ffffff;
	border-radius: 20px;
	margin: 20px 0;

}

.communityGrandFatherWrappper .community-item.item {
	position: relative;
	transition: transform 380ms;
	transform: translateY(-10px);
}

.communityGrandFatherWrappper .community-item:hover .item {
	top: -3px;
	transition: transform 380ms;
	transform: translateY(-10px);
}

.communityGrandFatherWrappper .panel {
	border-radius: 10px !important;
	
	}

.communityGrandFatherWrappper .text-danger {
	font-weight: bold;
}

.communityGrandFatherWrappper .create-forum {
	text-align: center;
}

.communityGrandFatherWrappper .btn-success,
.communityGrandFatherWrappper .create-forum .btn {
	display: inline !important;
	border-radius: 0 !important;
	border: 0 !important;
	font-size: 16px !important;
	background-color: #63a17a !important;
}

.communityGrandFatherWrappper .create-forum:hover .btn {
	box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.2);
}

.communityGrandFatherWrappper .btn.focus,
.communityGrandFatherWrappper .btn:focus,
.communityGrandFatherWrappper .btn:hover {
	box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.2);
	border: 0 !important;
	border-radius: 0 !important;
}

.communityGrandFatherWrappper .head-title span,
.communityGrandFatherWrappper .head-title a {
	font-weight: 500;
}

.communityGrandFatherWrappper .panel-body {
	padding: 0px 15px !important;
}

.communityGrandFatherWrappper .panel-default>.panel-heading {
	background-color: #87b99a !important;
	border-color: #87b99a !important;
}

.communityGrandFatherWrappper .panel-default>.panel-heading,
.communityGrandFatherWrappper .panel-default>.panel-heading a {
	color: #fff !important;	
}

.communityGrandFatherWrappper .empty,
.communityGrandFatherWrappper .fa-heart-o:before {
	color: #8e0f0f;
}

.communityGrandFatherWrappper .hall-li {
	display: flex;
	width: 100%;
	padding: 12px;
	margin-top: 10px;
	margin-bottom: -10px;
}

.communityGrandFatherWrappper .hall-li a {
	color: #000;
}

.communityGrandFatherWrappper .hall-li .text-message {
	color: gray;
}

.communityGrandFatherWrappper .message-wrapper {
	margin: 0;
	padding: 0;
	width: 100%;
	margin-right: auto;
	overflow: hidden;
}

.communityGrandFatherWrappper .message-background {
	background-color: #f0f0f0;
	width: 100%;
	box-sizing: border-box;
	position: relative;
}


.communityGrandFatherWrappper ul .row div:first-child li {
	margin-top: 0 !important;
}

.communityGrandFatherWrappper ul .row div:last-child li {
	border-radius: 0 0 0 20px;
}

.communityGrandFatherWrappper .panel-body.community {
	padding: 0px !important;
}

.communityGrandFatherWrappper .hall-li-even {
	border-bottom: 1px solid #cef5d814;
	border-top: 1px solid #cef5d814;
}

.communityGrandFatherWrappper .hall-li-odd {
	background-color: #d0f7d02b;
}

.communityGrandFatherWrappper .item-content a {
	color: #444;
}

.communityGrandFatherWrappper a:hover {
	color: #419d77 !important;
}

.communityGrandFatherWrappper .breadcrumb li a {
	color: #000
}

.communityGrandFatherWrappper .overhide {
	overflow: hidden !important;
}

.communityGrandFatherWrappper .overvisible {
	overflow: visible !important;
}

.communityGrandFatherWrappper .count-like {
	color: #3eb18c;
}

.communityGrandFatherWrappper .count-dislike {
	color: red;
}

.communityGrandFatherWrappper .count {
	margin-left: 10px;
}

.communityGrandFatherWrappper .color-text {
	color: #3eb18c;
}

.communityGrandFatherWrappper .user-color {
	color: #419d77 !important;
}



/* .user-role small {
    border-radius: 7px;
    background: #40895b;
    padding: 0.5rem 2rem;
    color: #fff;
} */

.communityGrandFatherWrappper .reply-text {
	height: 120px;
	position: relative;
	overflow: hidden;
}

.communityGrandFatherWrappper .show-full-reply {
	position: absolute;
	bottom: 0;
	transition: all 150ms linear;
	width: 100%;
	font-weight: bold;
	margin: 0;
	text-align: center;
	right: 0;
	background: linear-gradient(0deg, #f5f5f5, #f5f5f5b0);
	padding: 0.41rem 1rem;
	font-size: 1.7rem;
}

.communityGrandFatherWrappper .show-full-reply:hover {
	cursor: pointer;
}

.communityGrandFatherWrappper .h-full {
	transition: all 150ms linear;
	height: 100% !important;
}

.communityGrandFatherWrappper .reply-user {
	color: black
}

.communityGrandFatherWrappper .community-item.item {
	position: relative;
	transition: transform 380ms;
	transform: translateY(-10px);
	transition: transform 380ms;
	transform: translateY(-10px);
}

.communityGrandFatherWrappper .community-item:hover .item {
	top: -3px;
	transition: transform 380ms;
	transform: translateY(-10px);
	transition: transform 380ms;
	transform: translateY(-10px);
}

.communityGrandFatherWrappper .community-box {
	padding: 9px;
	margin: 0;
	border-left: 1px solid #f1f1f9;
}

.communityGrandFatherWrappper .like {
	width: 29px;
	display: inline-block;
}

.communityGrandFatherWrappper .item-messege {
	bottom: -30px;
	position: absolute;
}


.communityGrandFatherWrappper .reply-message {
	border: 1px solid #ccc;
	border-radius: 10px;
	margin: 0 !important;
	margin-right: -15px !important;
	padding: 2px;
	width: 104%;
	height: 40px;
	background-color: #f9f9f9;
	display: flex;
	align-items: center;
	justify-content: flex-start;
	padding-left: 30px;
	position: relative;
	top: 0;
	padding-right: 10px;
	padding-top: 10px;
	margin-top: 80;
}


.communityGrandFatherWrappper .text-message {
	position: relative;
	top: -10px;
	margin: 0;
	padding: 0;
	font-size: 19px;
	top: 20px;
	;
}

.communityGrandFatherWrappper .communityviewhall .profile-avatar-image {
	width: 60%;
	/* height: 120px; */
	border: 4px solid green;
	border-radius: 50%;
	display: block;
	margin: 0 auto;
}



.communityGrandFatherWrappper .introduction-font-size {
	font-size: medium;
}

.communityGrandFatherWrappper .start-message {
	position: absolute;
	top: 10px;
	left: 20px;
	font-size: 35px;
	color: #000;
	padding: 10px;
	border-radius: 5px;
	z-index: 10;
}



.communityGrandFatherWrappper .text-parent {
	font-size: 17px;
}

.communityGrandFatherWrappper .fix-container {
	margin: 0;
	padding-right: 0px;
	padding-left: 20px;
}

.communityGrandFatherWrappper .cancel-button {
	position: absolute;
	left: 10px;
	top: 10px;
}

.communityGrandFatherWrappper .index-reply {
	margin-bottom: 10px;
	display: none;
	position: relative;
}

.communityGrandFatherWrappper .big-font {
	font-size: 17px;
}

.communityGrandFatherWrappper .medium-font {
	font-size: 14px;
}


.communityGrandFatherWrappper .hall.text {
	font-size: 17px;
	margin-top: 0;
	padding-top: 0;
}

.communityGrandFatherWrappper .carousel-width {
	width: 100% !important;
}

.communityGrandFatherWrappper .carousel-image {
	width: 90% !important;
	height: auto !important;
	padding-top: 10px !important;
	margin-top: 5px !important;
	margin: auto;
	align-items: center;
}

.communityGrandFatherWrappper .carousel-thumbnail {
	/* margin-left: -250px !important; */
	width: 100%;
	/* height: 225px; */
	border-radius: 3px;
	/* margin: 10px;
	padding: 10px; */
	border: 2px solid #f1f1f9;
	/* margin-left: 70px !important; */

}


.communityGrandFatherWrappper .carousel-text {
	margin-top: -10px !important;
	text-align: center;
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
	font-size: 15px;
}

.communityGrandFatherWrappper .hall-text {
	font-size: 12px !important;
	text-align: center !important;
}

.communityGrandFatherWrappper .table thead .heading {
	background-color: #87b99a;
	padding: 10px;
}



.communityGrandFatherWrappper .community-table-wrapper table {
	border-collapse: collapse;
	border-radius: 3px !important;
	border: 2px solid black;
	border-style: hidden;
	box-shadow: 0 0 0 1px #666;
}

.ellipsis-last-message {
	display: -webkit-box;
	line-clamp: 3;
	-webkit-line-clamp: 3;
	-moz-line-clamp: 3;
	-ms-line-clamp:3;
	-webkit-box-orient: vertical;
	overflow: hidden;
	text-overflow: ellipsis;
  }


  #create-hall-form .thumbnail.image-preview,
  #create-new-message .thumbnail.image-preview
  {
	max-width: 100%;
  }
  
  @media screen and (max-width: 991px) {
	.communityGrandFatherWrappper .box-description .box-tools,
	.communityGrandFatherWrappper .box-description .text-parent
	{
		font-size: 15px;
	}
	.communityGrandFatherWrappper .box-description .text-message{
		font-size: 17px;
	}
	.communityGrandFatherWrappper .message-index .box-introduction{
		font-size: 14px;
	}
	.communityGrandFatherWrappper .communityviewhall .profile-avatar-image {
		width: 50%;
	}

	.communityGrandFatherWrappper .communityviewhall .start-message{
	left: 20px;
	font-size: 30px;
	}
	
  }

  @media screen and (max-width: 767px) {
	.communityGrandFatherWrappper .box-description .box-tools,
	.communityGrandFatherWrappper .box-description .text-parent
	{
		font-size: 13px;
	}
	.communityGrandFatherWrappper .box-description .text-message{
		font-size: 15px;
	}
	.communityGrandFatherWrappper .message-index .box-introduction{
		font-size: 12px;
	}
	.communityGrandFatherWrappper .communityviewhall .profile-avatar-image {
		width: 45%;
	}
	.communityGrandFatherWrappper .communityviewhall .start-message{
		left: 15px;
		font-size: 25px;
		}
  }

  @media screen and (max-width: 575px) {
	.communityGrandFatherWrappper .box-description .box-tools,
	.communityGrandFatherWrappper .box-description .text-parent,	
	.communityGrandFatherWrappper .message-index .box-introduction
	{
		font-size: 11px;
	}
	.communityGrandFatherWrappper .box-description .text-message{
		font-size: 13px;
	}
	.communityGrandFatherWrappper .communityviewhall .profile-avatar-image {
		width: 40%;
	}
	.communityGrandFatherWrappper .communityviewhall .start-message{
		left: 10px;
		font-size: 20px;
    }
	.communityGrandFatherWrappper .box-tools .date{
		margin-top: -5px;
	}
  }

  




  

 